Bug 268529 - NullPointerException at org.netbeans.modules.java.source.ui.AsyncJavaSymbolDescriptor$RootChange.isSupportedOption
NullPointerException at org.netbeans.modules.java.source.ui.AsyncJavaSymbolDe...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
Dev
All All
: P2 (vote)
: Dev
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT, cndreq
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-14 12:34 UTC by Tomas Stupka
Modified: 2016-11-11 02:49 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (8.88 KB, text/plain)
2016-10-14 12:34 UTC, Tomas Stupka
Details
stacktrace (8.79 KB, text/plain)
2016-11-07 12:58 UTC, Vladimir Voskresensky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Stupka 2016-10-14 12:34:50 UTC
Build: NetBeans IDE Dev (Build 20161014-3c913b69771b)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.102-b07, Java(TM) SE Runtime Environment, 1.8.0_102-b07
OS: Mac OS X

User Comments:
tstupka: goto symbol




Stacktrace: 
java.lang.NullPointerException
   at org.netbeans.modules.java.source.ui.AsyncJavaSymbolDescriptor$RootChange.isSupportedOption(AsyncJavaSymbolDescriptor.java:431)
   at com.sun.tools.javac.api.JavacTool.getTask(JavacTool.java:182)
   at com.sun.tools.javac.api.JavacTool.getTask(JavacTool.java:113)
   at org.netbeans.modules.java.source.ui.AsyncJavaSymbolDescriptor.getJavac(AsyncJavaSymbolDescriptor.java:325)
   at org.netbeans.modules.java.source.ui.AsyncJavaSymbolDescriptor.resolve(AsyncJavaSymbolDescriptor.java:221)
   at org.netbeans.modules.java.source.ui.AsyncJavaSymbolDescriptor.access$000(AsyncJavaSymbolDescriptor.java:100)
Comment 1 Tomas Stupka 2016-10-14 12:34:52 UTC
Created attachment 162508 [details]
stacktrace
Comment 2 Vladimir Voskresensky 2016-11-07 12:58:28 UTC
Created attachment 162810 [details]
stacktrace

go to symbol CCF_ExactTypeMatch
Comment 3 Dusan Balek 2016-11-08 13:35:18 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/7f2dc89d06d4
Comment 4 Quality Engineering 2016-11-11 02:49:48 UTC
Integrated into 'main-silver', will be available in build *201611110001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/7f2dc89d06d4
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #268529 - NullPointerException at org.netbeans.modules.java.source.ui.AsyncJavaSymbolDescriptor$RootChange.isSupportedOption - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo